<.header>
  Listing Expressions
  <:actions>
    <.link href={~p"/expressions/new"}>
      <.button>New Expression</.button>
    </.link>
  </:actions>
</.header>

<.table id="expressions" rows={@expressions} row_click={&JS.navigate(~p"/expressions/#{&1}")}>
  <:col :let={expression} label="Image"><img src={expression.image_url} title={expression.name} alt={expression.image_url} class="min-h-12" /></:col>
  <:col :let={expression} label="Name"><%= expression.name %></:col>
  <:col :let={expression} label="Verb"><%= expression.verb %></:col>
  <:col :let={expression} label="Image url"><%= expression.image_url %></:col>
  <:action :let={expression}>
    <div class="sr-only">
      <.link navigate={~p"/expressions/#{expression}"}>Show</.link>
    </div>
    <.link navigate={~p"/expressions/#{expression}/edit"}>Edit</.link>
  </:action>
  <:action :let={expression}>
    <.link href={~p"/expressions/#{expression}"} method="delete" data-confirm="Are you sure?">
      Delete
    </.link>
  </:action>
</.table>
